﻿using Microsoft.AspNetCore.SignalR;

namespace LiveChat.Server.Hubs;

public class ChatHub : Hub
{
    public async Task SendMessage(string user, string message)
    {
        using (var db = new ChattingContext())
        {
            var messageData = new ChatMessage
            {
                User = user,
                Message = message,
            };
            var dbSave = db.Messages.Add(messageData);
            await Clients.All.SendAsync("ReceiveMessage", user, message);
            db.SaveChanges();
        }
	}
}

